Upgrade 3.9.15 to 3.9.20 Error

This forum is for issues with installing Joomla! 3.x on IIS webservers.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
tnielsen
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Mon Feb 03, 2020 3:36 pm

Upgrade 3.9.15 to 3.9.20 Error

Post by tnielsen » Tue Aug 04, 2020 2:32 pm

Hello-
I am running in to an error message when attempting an upgrade from 3.9.15 to 3.9.20.
As soon as I click Upgrade, I receive an error message of: ERROR: Could not open C:/inetpub/wwwroot/LICENSE.txt for writing.

Running IIS on Windows Server 2019.

This file has all the same permissions as the other folders in the site, and I have not been able to figure out what the issue is.

Anyone encountered this issue and have a resolution?
Thank You!

Forum Post Assistant (v1.6.1) : 4-Aug-2020 wrote:
Last PHP Error(s) Reported :: wrote:[04-Aug-2020 08:20:41 America/Tegucigalpa] PHP Notice: Trying to get property 'hide_code' of non-object in C:\inetpub\wwwroot\plugins\system\jumi\jumi.php on line 39
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.15-Stable (Amani) 27-January-2020
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: false | Cache: true | CacheTime: 30 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 60 | Session handler: none | Shared sessions: false | SSL: 0 | Error Reporting: default | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.15: Yes | Database Supports J! 3.9.15: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Windows NT | OS Version: 10.0 | Technology: i586 | Web Server: Microsoft-IIS/10.0 | Encoding: gzip, deflate, br | System TMP Writable: Yes | Free Disk Space : 66.82 GiB |

PHP Configuration :: Version: 7.4.1 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 22527 | Log Errors To: C:\Windows\Temp\FastCGI_errors.log | Last Known Error: 04th August 2020 08:24:22. | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 64M | Max. POST Size: 64M | Max. Input Time: 60 | Max. Execution Time: 300 | Memory Limit: 128M

Database Configuration :: Version: 5.7.28-log (Client:mysqlnd 7.4.1) | Database Size: 106.85 MiB | #of Tables with config prefix:  136 | #of other Tables:  2 | User Privileges : GRANT ALL
Detailed Environment :: wrote:PHP Extensions :: Core (7.4.1) | bcmath (7.4.1) | calendar (7.4.1) | ctype (7.4.1) | date (7.4.1) | filter (7.4.1) | hash (7.4.1) | iconv (7.4.1) | json (7.4.1) | SPL (7.4.1) | pcre (7.4.1) | readline (7.4.1) | Reflection (7.4.1) | session (7.4.1) | standard (7.4.1) | mysqlnd (mysqlnd 7.4.1) | tokenizer (7.4.1) | zip (1.15.5) | zlib (7.4.1) | libxml (7.4.1) | dom (20031129) | PDO (7.4.1) | openssl (7.4.1) | SimpleXML (7.4.1) | xml (7.4.1) | xmlreader (7.4.1) | xmlwriter (7.4.1) | cgi-fcgi (7.4.1) | mysqli (7.4.1) | pdo_mysql (7.4.1) | curl (7.4.1) | gd (7.4.1) | gettext (7.4.1) | mbstring (7.4.1) | Phar (7.4.1) | soap (7.4.1) | xmlrpc (7.4.1) | Zend Engine (3.4.0) |
Potential Missing Extensions ::

Switch User Environment :: PHP CGI: Yes | Server SU: No | PHP SU: Yes | Potential Ownership Issues: Maybe
Folder Permissions :: wrote:Core Folders :: images/ (777) | components/ (777) | modules/ (777) | plugins/ (777) | language/ (777) | templates/ (777) | cache/ (777) | logs/ (777) | tmp/ (777) | administrator/components/ (777) | administrator/modules/ (777) | administrator/language/ (777) | administrator/templates/ (777) | administrator/logs/ (---) |

Elevated Permissions (First 10) :: 3-2020~php-My-Admin~/ (777) | 3-2020~php-My-Admin~/doc/ (777) | 3-2020~php-My-Admin~/doc/html/ (777) | 3-2020~php-My-Admin~/doc/html/_images/ (777) | 3-2020~php-My-Admin~/doc/html/_sources/ (777) | 3-2020~php-My-Admin~/doc/html/_static/ (777) | 3-2020~php-My-Admin~/examples/ (777) | 3-2020~php-My-Admin~/js/ (777) | 3-2020~php-My-Admin~/js/codemirror/ (777) | 3-2020~php-My-Admin~/js/codemirror/addon/ (777) |
Database Information :: wrote:Database statistics :: Uptime: 1380360 | Threads: 1 | Questions: 11909073 | Slow queries: 0 | Opens: 1598 | Flush tables: 1 | Open tables: 1339 | Queries per second avg: 8.627 |
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
3rd Party::

Components :: Admin ::
Core :: com_actionlogs (3.9.0) 1 | com_admin (3.0.0) 1 | com_ajax (3.2.0) 1 | com_associations (3.7.0) 1 | com_banners (3.0.0) 1 | com_cache (3.0.0) 1 | com_categories (3.0.0) 1 | com_checkin (3.0.0) 1 | com_config (3.0.0) 1 | com_content (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_cpanel (3.0.0) 1 | com_fields (3.7.0) 1 | com_finder (3.0.0) 1 | com_installer (3.0.0) 1 | com_joomlaupdate (3.6.2) 1 | com_languages (3.0.0) 1 | com_login (3.0.0) 1 | com_media (3.0.0) 1 | com_menus (3.0.0) 1 | com_messages (3.0.0) 1 | com_modules (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_plugins (3.0.0) 1 | com_postinstall (3.2.0) 1 | com_privacy (3.9.0) 1 | com_redirect (3.0.0) 1 | com_search (3.0.0) 1 | com_tags (3.1.0) 1 | com_templates (3.0.0) 1 | com_users (3.0.0) 1 | com_weblinks (2.5.0) ? |
3rd Party:: Akeeba (7.2.2) 1 | ChronoForms (4.0.6) 1 | com_chronoforms5 (5.0.17) 1 | com_djimageslider (1.3.0 RC1) 1 | EasyAppointment (2.4.6) 1 | com_easybookreloaded (3.3.3) 1 | COM_FOXCONTACT (2.0.17) ? | com_jumi (3.0.5) 1 | Jumi (3.0.1) 1 | System - Jumi (3.0.4) 1 | System - Jumi Router (2.0.6) 1 | JW_DISQUS (3.7.0) 0 | JW_DISQUS (3.1) 0 | Nextend2 (2.0.23) 1 | nextend_installer (2.0) ? | RSFirewall! (3.0.1) 1 | Smart Slider 3 (3.3.26) 1 |

Modules :: Site ::
Core :: mod_articles_archive (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_login (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_search (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_tags_similar (3.1.0) 1 | mod_users_latest (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_wrapper (3.0.0) 1 |
3rd Party:: ARI Ext Menu (2.1.0) 1 | ChronoForms (V4.0.3) 1 | ChronoForms5 (V5 RC1.2) 1 | Easytagcloud (2.1 for J1.6/) 1 | MOD_EBRLATESTENTRIES (3.2.1) 1 | Fox Contact (2.0.17) 0 | Image Show GK4 (1.52) 1 | jTweet (1.6.0) 1 | Jumi (2.0.6) 1 | mod_news_pro_gk4 (GK4 1.3) 1 | News Show Pro GK5 (1.9.3.8) 1 | Smart Slider 3 (3.3.26) 1 | Tabs GK4 (GK4 1.7) 1 | Tabs GK5 (1.7.3) 1 | mod_tweetdisplayback (2.1.4) 1 | [youtube] playlist player (5.1.1) 1 |

Modules :: Admin ::
Core :: mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_latestactions (3.9.0) 1 | mod_logged (3.0.0) 1 | mod_login (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_online (1.6.0) 1 | mod_popular (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 | mod_quickicon (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_stats_admin (3.0.0) 1 | mod_status (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_title (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_unread (1.6.0) 1 | mod_version (3.0.0) 1 |
3rd Party:: Add to Menu Component XML - com_cat (6.3.0) ? | Add to Menu Component XML - com_cat (6.3.0) ? | Add to Menu Component XML - com_cat (6.3.0) ? | Add to Menu Component XML - com_cat (6.3.0) ? | Add to Menu Component XML - com_cat (6.3.0) ? | Add to Menu Component XML - com_cat (6.3.0) ? | Add to Menu Component XML - com_cat (6.3.0) ? | mod_addtomenu (6.3.0) 1 | RSFirewall! Control Panel Module (1.4.0) 1 |

Libraries ::
Core ::
3rd Party:: Regular Labs Library (20.3.14375) 1 |

Plugins ::
Core :: PLG_ACTIONLOG_JOOMLA (3.9.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_authentification_example (1.6.0) ? | plg_authentication_gmail (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_captcha_recaptcha (3.4.0) 1 | plg_captcha_recaptcha_invisible (3.8) 0 | plg_content_confirmconsent (3.9.0) 0 | plg_content_emailcloak (3.0.0) 0 | plg_content_example (1.0) ? | plg_content_fields (3.7.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_joomla (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_extension_example (1.0) ? | plg_extension_joomla (3.0.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_installer_webinstaller (2.1.2) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 0 | plg_quickicon_privacycheck (3.9.0) 1 | plg_search_categories (3.0.0) 0 | plg_search_contacts (3.0.0) 0 | plg_search_content (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 0 | plg_search_tags (3.0.0) 0 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 0 | plg_system_cache (3.0.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_fields (3.7.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_languagefilter (3.0.0) 0 | plg_system_log (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_logrotation (3.9.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_privacyconsent (3.9.0) 0 | plg_system_redirect (3.0.0) 1 | plg_system_remember (3.0.0) 1 | plg_system_sef (3.0.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_stats (3.5.0) 1 | plg_system_updatenotification (3.5.0) 1 | plg_twofactorauth_totp (3.2.0) 0 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_user_contactcreator (3.0.0) 0 | plg_user_example (1.0) ? | plg_user_joomla (3.0.0) 1 | plg_user_profile (3.0.0) 0 | plg_user_terms (3.9.0) 0 |
3rd Party:: PLG_ACTIONLOG_AKEEBABACKUP (7.2.2) 0 | chronoforms (V4.0.3) 1 | Chronoforms5 (V5.0) 1 | Content - Fast Social Share (1.8) 0 | Disqus Comments (for Joomla) [by Jo (3.7.0) ? | DISQUS Comments for Joomla! (by Joo (3.5) ? | Simple Image Gallery (by JoomlaWork (3.6.0) ? | Simple Image Gallery (by JoomlaWork (3.6.0) ? | Content - Load Module in Article (2.0.0) 1 | plg_editors_codemirror (5.40.0) 1 | plg_editors_tinymce (4.5.11) 1 | plg_editors-xtd_betterpreview (6.2.4) 1 | plg_installer_rsfirewall (1.0.0) 1 | plg_installer_smartslider3 (3.3.26) 1 | plg_quickicon_akeebabackup (7.2.2) 1 | PLG_SYSTEM_AKEEBAUPDATECHECK (7.2.2) 0 | PLG_SYSTEM_BACKUPONUPDATE (7.2.2) 0 | plg_system_betterpreview (6.2.4) 1 | System - JB Library (1.2.5) 0 | System - Jumi (2.0.6) 1 | System - Jumi Router (2.0.6) 1 | System - Disqus Comments (for Jooml (3.7.0) ? | System - DISQUS Comments for Joomla (3.5) ? | Nextend2 Library (3.3.25) 1 | Nextend Smart Slider 3 (3.3.26) 1 | plg_system_regularlabs (20.3.14375) 1 | System - RSFirewall! Active Scanner (1.4.0) 1 |
Templates Discovered :: wrote:Templates :: Site :: bal-responsive (1.0) 1 | bal-responsive2 (1.0) 1 | BAL enews Template (1.6.0) ? | BAL Template (1.6.0) ? | BAL Template (1.6.0) ? | BAL Wide Template (1.6.0) ? | beez3 (3.1.0) ? | protostar (1.0) 1 |
Templates :: Admin :: bluestork (2.5.0) 1 | hathor (3.0.0) 1 | isis (1.0) 1 |

 
User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 9577
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: Upgrade 3.9.15 to 3.9.20 Error

Post by sozzled » Tue Aug 04, 2020 8:30 pm

G'day, @tnielsen, and welcome to the forum.

The error message shows you have a problem with trying to run Jumi—an old version of Jumi—with PHP 7.4.1. The JED listing for Jumi was last updated in December 2015: the extension does not use the Joomla! update system and PHP 7.4 was released in December 2019 and it's unsurprising that this extension is incompatible with the version of PHP 7 that you are using and generates errors.

I'm surprised that you were able to operate your website with J! 3.9.15 without noticing problems. :eek:

I think that the problem you're having with updating your version of J! is because you're trying to use PHP 7.4.1 and you have outdated/incompatible extensions (e.g. Jumi, Fox Contact Form, [NextEnd]Smart Slider among others). Also, for your information, the J! 2.5 backend template bluestork does not work with J! 3.x and you should uninstall it.

I looked for information about your frontend template(s) named "BAL" and the most likely match is that these were templates designed about 8 years ago (in 2012) by YooTheme. If that is so, these old templates will probably not work well today with J! 3.9 and PHP 7.4.1.

I'm not sure why the Joomla! Update component issues the message "Could not open C:/inetpub/wwwroot/LICENSE.txt for writing" on an IIS server running Windows Server 2019. It's not a show-stopper; it's just a notice generated by PHP 7.4 but it shouldn't stop the update from running. I can't help you with that, sorry. The only suggestion I can make there is https://google.com/search?q=%22Could+not+open ... +%2Bjoomla

Good luck. :)
https://www.kuneze.com/blog
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)

 

Post Reply

Return to “Joomla! 3.x on IIS webserver”